# Generate a live rates request Initiates a live rates request. Include either the object ID for an existing address record or a fully formed address object when entering an address value. You can also enter the object ID of an existing user parcel template or a fully formed user parcel template object as the parcel value. Endpoint: POST /live-rates Version: 2018-02-08 Security: APIKeyHeader ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Request fields (application/json): - `address_from` (any) The sender address, which includes your name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email. - `address_to` (any, required) The recipient address, which includes the recipient's name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email. - `line_items` (array, required) Array of Line Item objects - `line_items.currency` (string) Currency of the total_price amount. Example: "USD" - `line_items.manufacture_country` (string) Country the item was manufactured in. In the Shippo dashboard, this value will be used ot pre-fill the customs declaration when creating a label for this order. Example: "US" - `line_items.max_delivery_time` (string) The date and time this item needs to be delivered by, i.e. by when the carrier delivers it to the buyer. This value is used by some platforms such as eBay to measure a seller's shipping time and performance. It will be displayed in the Shippo dashboard. Example: "2016-07-23T00:00:00Z" - `line_items.max_ship_time` (string) The date and time this item needs to be fulfilled by, i.e. by when the shipping label needs to be created and handed over to the carrier. This value is used by some platforms such as eBay to measure a seller's handling time and performance. It will be displayed in the Shippo dashboard. Example: "2016-07-23T00:00:00Z" - `line_items.quantity` (integer) The quantity of this item in this order. Example: 20 - `line_items.sku` (string) The stock keeping unit value of this item. Example: "HM-123" - `line_items.title` (string) Title of the line item. Example: "Hippo Magazines" - `line_items.total_price` (string) Total price paid by the buyer for this item (or these items, if quantity > 1). Example: "12.1" - `line_items.variant_title` (string) A variant is a specific variation of an item (e.g. size M or color blue). Variants might be exposed as a separate resource in the future too. Currently the variant title is a free text field describing the variant. Example: "June Edition" - `line_items.weight` (string) Total weight of this/these item(s). Instead of specifying the weight of all items, you can also set the total_weight value of the order object. Example: "0.4" - `line_items.weight_unit` (string) The unit used for weight. Enum: "g", "kg", "lb", "oz" - `line_items.object_id` (string) Unique identifier of the line item object. Example: "abf7d5675d744b6ea9fdb6f796b28f28" - `parcel` (any) Object ID for an existing User Parcel Template OR a fully formed Parcel object. Example: "5df144dca289442cv7a06" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `count` (integer) Example: 123 - `results` (array) - `results.amount` (string) Final Rate price, expressed in the currency used in the sender's country. Example: "5.5" - `results.amount_local` (string) Final Rate price, expressed in the currency used in the recipient's country. Example: "5.5" - `results.currency` (string) Currency used in the sender's country, refers to amount. The official ISO 4217 currency codes are used, e.g. USD or EUR. Example: "USD" - `results.currency_local` (string) Currency used in the recipient's country, refers to amount_local. The official ISO 4217 currency codes are used, e.g. USD or "EUR". Example: "USD" - `results.estimated_days` (integer) The estimated days in transit of the rate that powers the shipping option, if available. Example: 2 - `results.title` (string) The name of the service group being returned Example: "Shipping Option 1"